export declare const EcanPivotTable: import('../../utils/withInstall').SFCWithInstall<import("vue").DefineComponent<{
    fullMode: {
        type: BooleanConstructor;
        default: boolean;
    };
    graphicConfig: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    data: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    dimensionList: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    indicatorList: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    styleConfig: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    configMode: {
        type?: import("vue").PropType<"fullMode" | "halfMode">;
        default?: "fullMode" | "halfMode";
    };
    id: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    name: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    keyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    type: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    width: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    height: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    position: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    top: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    left: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    zIndex: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    rotate: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isRender: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    events: {
        type?: import("vue").PropType<import("../../utils/props").Events>;
        default?: import("../../utils/props").Events;
    };
    requestUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    requestMethod: {
        type?: import("vue").PropType<import("../../utils/props").RequestMethod>;
        default?: import("../../utils/props").RequestMethod;
    };
    requestHeaders: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isOpenRequestTimer: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isViewRedrawing: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    requestInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParams: {
        type?: import("vue").PropType<import("../../utils/props").RequestParams>;
        default?: import("../../utils/props").RequestParams;
    };
    requestSort: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    dataType: {
        type?: import("vue").PropType<"indicator" | "request" | "static" | "component">;
        default?: "indicator" | "request" | "static" | "component";
    };
    scale?: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParamsMode: {
        type?: import("vue").PropType<"2" | "1">;
        default?: "2" | "1";
    };
    customRequestParams: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    dataSetParam?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    requestType?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    componentDoc?: {
        type?: import("vue").PropType<null>;
        default?: null;
    };
    extendData?: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    toolboxShow?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowIndDetail?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowTrend?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    indDetailIconColor?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    indDetailIconFontSize?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
}, {
    props: Readonly<import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
        fullMode: {
            type: BooleanConstructor;
            default: boolean;
        };
        graphicConfig: {
            type?: import("vue").PropType<{
                [key: string]: any;
            }>;
            default?: {
                [key: string]: any;
            };
        };
        data: {
            type?: import("vue").PropType<{
                [key: string]: any;
            }[]>;
            default?: {
                [key: string]: any;
            }[];
        };
        dimensionList: {
            type?: import("vue").PropType<{
                [key: string]: any;
            }[]>;
            default?: {
                [key: string]: any;
            }[];
        };
        indicatorList: {
            type?: import("vue").PropType<{
                [key: string]: any;
            }[]>;
            default?: {
                [key: string]: any;
            }[];
        };
        styleConfig: {
            type?: import("vue").PropType<{
                [key: string]: any;
            }>;
            default?: {
                [key: string]: any;
            };
        };
        configMode: {
            type?: import("vue").PropType<"fullMode" | "halfMode">;
            default?: "fullMode" | "halfMode";
        };
        id: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        name: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        keyName: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        type: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        width: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        height: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        position: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        top: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        left: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        zIndex: {
            type?: import("vue").PropType<number>;
            default?: number;
        };
        rotate: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        isShow: {
            type?: import("vue").PropType<boolean>;
            default?: boolean;
        };
        isRender: {
            type?: import("vue").PropType<boolean>;
            default?: boolean;
        };
        events: {
            type?: import("vue").PropType<import("../../utils/props").Events>;
            default?: import("../../utils/props").Events;
        };
        requestUrl: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        requestMethod: {
            type?: import("vue").PropType<import("../../utils/props").RequestMethod>;
            default?: import("../../utils/props").RequestMethod;
        };
        requestHeaders: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        isOpenRequestTimer: {
            type?: import("vue").PropType<boolean>;
            default?: boolean;
        };
        isViewRedrawing: {
            type?: import("vue").PropType<boolean>;
            default?: boolean;
        };
        requestInterval: {
            type?: import("vue").PropType<number>;
            default?: number;
        };
        requestParams: {
            type?: import("vue").PropType<import("../../utils/props").RequestParams>;
            default?: import("../../utils/props").RequestParams;
        };
        requestSort: {
            type?: import("vue").PropType<number>;
            default?: number;
        };
        dataType: {
            type?: import("vue").PropType<"indicator" | "request" | "static" | "component">;
            default?: "indicator" | "request" | "static" | "component";
        };
        scale?: {
            type?: import("vue").PropType<number>;
            default?: number;
        };
        requestParamsMode: {
            type?: import("vue").PropType<"2" | "1">;
            default?: "2" | "1";
        };
        customRequestParams: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        dataSetParam?: {
            type?: import("vue").PropType<any>;
            default?: any;
        };
        requestType?: {
            type?: import("vue").PropType<any>;
            default?: any;
        };
        componentDoc?: {
            type?: import("vue").PropType<null>;
            default?: null;
        };
        extendData?: {
            type?: import("vue").PropType<{
                [key: string]: any;
            }>;
            default?: {
                [key: string]: any;
            };
        };
        toolboxShow?: {
            type?: import("vue").PropType<boolean>;
            default?: boolean;
        };
        isShowIndDetail?: {
            type?: import("vue").PropType<boolean>;
            default?: boolean;
        };
        isShowTrend?: {
            type?: import("vue").PropType<boolean>;
            default?: boolean;
        };
        indDetailIconColor?: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        indDetailIconFontSize?: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
    }>> & {
        [x: `on${Capitalize<string>}`]: ((...args: any[]) => any) | ((...args: unknown[]) => any);
    }>>;
    style: import("vue").ComputedRef<import("vue").HTMLAttributes>;
    pageMode: string;
    pivotTableRef: import("vue").Ref<any>;
    theme: string;
    customProps: import("vue").ComputedRef<{
        width: string;
        height: string;
        pageId: any;
        indicatorToken: any;
        context: string;
        globalModel: any;
        data: {
            [key: string]: any;
        }[];
        events: import("../../utils/props").Events;
        id: string;
        type: string;
        dataType: "indicator" | "request" | "static" | "component";
        graphicConfig: {
            [key: string]: any;
        };
        isOpenRequestTimer: boolean;
        requestInterval: number;
        requestParams: import("../../utils/props").RequestParams;
        position: string;
        top: string;
        left: string;
        rotate: string;
        zIndex: number;
        scale: number;
        requestUrl: string;
        requestMethod: import("../../utils/props").RequestMethod;
        requestHeaders: string;
        requestParamsMode: "2" | "1";
        customRequestParams: string;
        dataSetParam: any;
        requestType: any;
        indicatorList: {
            [key: string]: any;
        }[];
        keyName: string;
        name: string;
        isShow: boolean;
        isRender: boolean;
        isViewRedrawing: boolean;
        requestSort: number;
        componentDoc: null;
        extendData: {
            [key: string]: any;
        };
        toolboxShow: boolean;
        isShowIndDetail: boolean;
        isShowTrend: boolean;
        indDetailIconColor: string;
        indDetailIconFontSize: string;
        dimensionList: {
            [key: string]: any;
        }[];
        styleConfig: {
            [key: string]: any;
        };
        configMode: "fullMode" | "halfMode";
        fullMode: boolean;
    }>;
    indicatorUrl: import("vue").ComputedRef<any>;
    scaleValue: {
        widthScale: string;
        heightScale: string;
    };
    click: () => void;
    onTableChange: ({ type, data }: {
        type: any;
        data: any;
    }) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    fullMode: {
        type: BooleanConstructor;
        default: boolean;
    };
    graphicConfig: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    data: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    dimensionList: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    indicatorList: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    styleConfig: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    configMode: {
        type?: import("vue").PropType<"fullMode" | "halfMode">;
        default?: "fullMode" | "halfMode";
    };
    id: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    name: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    keyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    type: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    width: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    height: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    position: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    top: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    left: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    zIndex: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    rotate: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isRender: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    events: {
        type?: import("vue").PropType<import("../../utils/props").Events>;
        default?: import("../../utils/props").Events;
    };
    requestUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    requestMethod: {
        type?: import("vue").PropType<import("../../utils/props").RequestMethod>;
        default?: import("../../utils/props").RequestMethod;
    };
    requestHeaders: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isOpenRequestTimer: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isViewRedrawing: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    requestInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParams: {
        type?: import("vue").PropType<import("../../utils/props").RequestParams>;
        default?: import("../../utils/props").RequestParams;
    };
    requestSort: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    dataType: {
        type?: import("vue").PropType<"indicator" | "request" | "static" | "component">;
        default?: "indicator" | "request" | "static" | "component";
    };
    scale?: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParamsMode: {
        type?: import("vue").PropType<"2" | "1">;
        default?: "2" | "1";
    };
    customRequestParams: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    dataSetParam?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    requestType?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    componentDoc?: {
        type?: import("vue").PropType<null>;
        default?: null;
    };
    extendData?: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    toolboxShow?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowIndDetail?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowTrend?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    indDetailIconColor?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    indDetailIconFontSize?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
}>>, {
    fullMode: boolean;
}>> & Record<string, any>;
export default EcanPivotTable;
export * from './props';
